* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    user-select: none;
}

body {
    width: 100vw;
    height: 100vh;
    background-color: lightgrey;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    width: 90vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}

header {
    width: 100%;
    margin-bottom: 2vh;
    margin-top: 2vh;
    text-align: center;
}

h1 {
    font-size: 35px;
    color: gray;
}

.display-area {
    width: 100%;
    background-color: gray;
    margin-bottom: 2vh;
    border-radius: 5px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    color: lightgray;
    font-size: 30px;
}

.display-area__calculations {
    width: 100%;
    min-height: 20px;
    font-size: 15px;
    padding-left: 10px;
}

.display-area__display-value {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    padding-right: 10px;
}

.buttons-area {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(6, 1fr);
    background-color: darkgrey;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 10px;
}

.buttons-area__btn {
    background-color: lightslategray;
    cursor: pointer;
    border-radius: 5px;
    color: lightgray;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 18px;
    margin: 5px;
    padding: 5px;
    box-sizing: border-box;
}

.buttons-area__btn:hover {
    background-color: rgb(110, 137, 163);
}

.buttons-area__btn:active {
    background-color: rgb(110, 137, 163);
}

.buttons-area__btn--equal {
    grid-row: 5 / span 2;
    grid-column: 5;
} 

.buttons-area__btn--zero {
    grid-column: 1 / span 2;
}

@media (min-width: 500px) {
    .container {
        width: 80%;
    }
}

@media (min-width: 700px) {
    .container {
        width: 70%;
    }
}

@media (min-width: 800px) {
    .container {
        width: 70%;
    }
}

@media (min-width: 900px) {
    .container {
        width: 30%;
    }
}

@media (min-width: 1500px) {
    .container {
        width: 20%;
    }
}